/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - Core03 for C */
/* This is the DDL (Database Definition Language) for a database implementing
 * a one-to-many relationship using network model sets.  The database will 
 * implement the beginnings of an mp3 collection.  The one (owner) side
 * of the relationship is an artest records.  The many (member) side of the 
 * relationship is the album record.
 * 
 * Both the records have a single field, name, that can store an ASCII 
 * string.
 *
 * This schema file should be processed using the ddlp utility using the
 * -c and -d options to create an embedded dbd file.  The -c option will 
 * generate a c header file (core03_db_dbd.h) and a c source file 
 * (core03_db_dbd.c) which can be compiled into the application and used with 
 * the d_open_ptr API to create the database if it does not already exist.
 */

database core03_db 
{
    data file "core03_db.d01" contains artist;
    data file "core03_db.d03" contains album;

    record artist 
    {
        char    name[100];
    }
    
    record album 
    {
        char    title[100];
    }
    
    set artist_album
    {
       order  last;
       owner  artist;
       member album;
    }
}

